Package org.eclipse.m2m.atl.emftvm.util

# Class LazyCollection.ReverseIterator

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<E>
org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReverseIterator

All Implemented Interfaces:
  `Iterator<E>`

Enclosing class:
  `LazyCollection<E>`

public class LazyCollection.ReverseIterator extends LazyCollection.ReadOnlyIterator<E>
`LazyCollection.ReadOnlyIterator` that returns the values of the underlying collection in reverse order.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`index`

## Constructor Summary

Constructors
Constructor
Description
`ReverseIterator(int lastIndex)`
Creates a new `LazyCollection<E>.ReverseIterator` for the underlying `List`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`E`
`next()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Field Details

### index

protected int index

## Constructor Details

### ReverseIterator

public ReverseIterator(int lastIndex)
Creates a new `LazyCollection<E>.ReverseIterator` for the underlying `List`.

Parameters:
  `lastIndex` - the last index in the underlying list.

## Method Details

### hasNext

public boolean hasNext()

### next

public E next()